/*
 * The contents of this file are subject to the JOnAS Public License Version 
 * 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License on the JOnAS web site.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.
 * See the License for the specific terms governing rights and limitations under 
 * the License.
 *
 * The Original Code is JOnAS application server code released July 1999.
 *
 * The Initial Developer of the Original Code is Bull S.A.
 * The Original Code and portions created by Bull S.A. are
 *    Copyright (C) 1999 Bull S.A. All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.container;

import javax.ejb.EJBObject;


/**
 * This class implements javax.ejb.Handle interface.
 * For a Session Bean a Handle is directly its RMI Reference
 * because its life time is limited by the EJBServer life time.
 * (no need to retrieve it after the EJBServer has been restarted)
 */
public class SessionHandleImpl implements javax.ejb.Handle, java.io.Serializable {
    
    /**
     * @serial
     */
    private EJBObject ejbO  = null;


    /**
     * constructor
     */    
    public SessionHandleImpl(JBean jb) {
	ejbO = jb;
    }
    

    /** 
     * Obtains the EJB object represented by this handle.
     * 
     * @Throws RemoteException: The EJB object could not be obtained because of a system-level failure. 
     */
    public EJBObject getEJBObject() throws java.rmi.RemoteException {
	return ejbO;
    }
}
