/*
 * The contents of this file are subject to the JOnAS Public License Version 
 * 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License on the JOnAS web site.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.
 * See the License for the specific terms governing rights and limitations under 
 * the License.
 *
 * The Original Code is JOnAS application server code released July 1999.
 *
 * The Initial Developer of the Original Code is Bull S.A.
 * The Original Code and portions created by Bull S.A. are
 *    Copyright (C) 1999 Bull S.A. All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */


package org.objectweb.jonas.container;

import javax.ejb.EnterpriseBean;
import javax.transaction.Synchronization;
import javax.transaction.Transaction;
import javax.transaction.TransactionManager;
import org.objectweb.jonas.common.Trace;
import org.objectweb.jonas.jta.Current;


/**
 * This abstract class is the base class for SessionSynchroImpl class 
 *  and for EntitySynchroImpl class.
 */
abstract public class SynchroImpl implements Synchronization {

    static final int trace = Trace.DB_17;

    TransactionManager tm = (TransactionManager) Current.getCurrent();
    Transaction beanCoord    = null;
    Transaction currentCoord = null;

    /**
     * constructor
     */
    public SynchroImpl () {
    }

    /** 
     * reset the state of the synchro object in order to force ejbLoad at the next
     * considerRequest()
     * used in afterCompletion when transactional context or postinvoke on TX_NOT_SUPPORTED
     */
    public void reset() {
	Trace.outln(trace, "SynchroImpl reset");
	beanCoord    = null;
	currentCoord = null;
    }
}
