/*
 * The contents of this file are subject to the JOnAS Public License Version 
 * 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License on the JOnAS web site.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.
 * See the License for the specific terms governing rights and limitations under 
 * the License.
 *
 * The Original Code is JOnAS application server code released July 1999.
 *
 * The Initial Developer of the Original Code is Bull S.A.
 * The Original Code and portions created by Bull S.A. are
 *    Copyright (C) 1999 Bull S.A. All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */


package org.objectweb.jonas.tools;


import org.objectweb.jonas.common.Trace;
import org.objectweb.jonas.lib.DD;
import org.objectweb.jonas.lib.InvalidBeanException;


/**
 *  This class allows to check the validity of an Entity Enterprise Java Bean
 *  with Bean Managed Persistence.
 *  Its extends CheckEntity class, itself extends CheckBean class.
 */

public class CheckEntityBM extends CheckEntity {

    static final int trace  = Trace.DB_19;

    /**
     * Construct a CheckEntityBM from a deployment descriptor of an
     * Entity Enterprise Java Bean with bean managed persistence.
     * @param ddesc deployment descriptor of the entity bean
     * @exception InvalidBeanException in fatal error case
     */
    public CheckEntityBM(DD ddesc) throws InvalidBeanException {
	super(ddesc);
    }

    /**
     * Returns true if the Entity Bean with bean managed persistence is valid, false otherwise
     * @exception InvalidBeanException in fatal error case
     */
    public boolean check() throws InvalidBeanException {
	boolean isValid;
	isValid = super.check();
	return(isValid);
    }

}

